# Az - Post Eksploatacija Tabele Skladišta

{{#include ../../../banners/hacktricks-training.md}}

## Post Eksploatacija Tabele Skladišta

Za više informacija o skladištu tabela pogledajte:

{{#ref}}
../az-services/az-table-storage.md
{{#endref}}

### Microsoft.Storage/storageAccounts/tableServices/tables/entities/read

Princip sa ovom dozvolom će moći da **prikazuje** tabele unutar skladišta tabela i **čita informacije** koje mogu sadržati **osetljive informacije**.
```bash
# List tables
az storage table list --auth-mode login --account-name <name>

# Read table (top 10)
az storage entity query \
--account-name <name> \
--table-name <t-name> \
--auth-mode login \
--top 10
```
### Microsoft.Storage/storageAccounts/tableServices/tables/entities/write | Microsoft.Storage/storageAccounts/tableServices/tables/entities/add/action | Microsoft.Storage/storageAccounts/tableServices/tables/entities/update/action

Princip sa ovom dozvolom će moći da **piše i prepisuje unose u tabelama** što može omogućiti da izazove neku štetu ili čak eskalira privilegije (npr. prepisivanje nekih pouzdanih podataka koji bi mogli iskoristiti neku ranjivost u aplikaciji koja ih koristi).

- Dozvola `Microsoft.Storage/storageAccounts/tableServices/tables/entities/write` omogućava sve akcije.
- Dozvola `Microsoft.Storage/storageAccounts/tableServices/tables/entities/add/action` omogućava da **dodate** unose.
- Dozvola `Microsoft.Storage/storageAccounts/tableServices/tables/entities/update/action` omogućava da **ažurirate** postojeće unose.
```bash
# Add
az storage entity insert \
--account-name <acc-name> \
--table-name <t-name> \
--auth-mode login \
--entity PartitionKey=HR RowKey=12345 Name="John Doe" Age=30 Title="Manager"

# Replace
az storage entity replace \
--account-name <acc-name> \
--table-name <t-name> \
--auth-mode login \
--entity PartitionKey=HR RowKey=12345 Name="John Doe" Age=30 Title="Manager"

# Update
az storage entity merge \
--account-name <acc-name> \
--table-name <t-name> \
--auth-mode login \
--entity PartitionKey=HR RowKey=12345 Name="John Doe" Age=30 Title="Manager"
```
### \*/delete

Ovo bi omogućilo brisanje datoteka unutar deljenog fajl sistema što bi moglo **prekinuti neke usluge** ili učiniti da klijent **izgubi dragocene informacije**.

{{#include ../../../banners/hacktricks-training.md}}
